## fbgrab-1.5-3.src.tar.gz

=== Makefile ===
### 
### I think it's not worth to make such a small project
### modular. So this is a simple gnu Makefile...
###

.DELETE_ON_ERROR:
.PHONY: install clean all

GZIP := gzip
GZIPFLAGS := --best --to-stdout

all: fbgrab fbgrab.1.gz

fbgrab: fbgrab.c
	$(CC) -g -Wall $(CFLAGS) $(LDFLAGS) $< -lpng -lz -o $@

fbgrab.1.gz: fbgrab.1.man
	$(GZIP) $(GZIPFLAGS) $< > $@

install: fbgrab fbgrab.1.gz
	install -D -m 0755 fbgrab $(DESTDIR)/usr/bin/fbgrab
	install -D -m 0644 fbgrab.1.gz $(DESTDIR)/usr/share/man/man1/fbgrab.1.gz

clean:
	-$(RM) fbgrab fbgrab.1.gz *~ \#*\#

=== PKGBUILD ===
# Maintainer: Kyle Keen <keenerd@gmail.com>
# Contributor: Sergej Pupykin <pupykin.s+arch@gmail.com>
# Contributor: dibblethewrecker dibblethewrecker.at.jiwe.dot.org

pkgname=fbgrab
pkgver=1.5
pkgrel=3
pkgdesc="A framebuffer screenshot grabber"
arch=('x86_64')
url="https://github.com/GunnarMonell/fbgrab"
license=("GPL")
depends=('libpng')
source=("$pkgname-$pkgver.tgz::https://github.com/GunnarMonell/fbgrab/archive/$pkgver.tar.gz")
sha256sums=('0202a9c4fb430eee4d8f566d09ab5f6e35c50804a192ba106046e54eb886f8f1')

prepare() {
  cd "$srcdir/$pkgname-$pkgver"
}

build() {
  cd "$srcdir/$pkgname-$pkgver"
  make
}

package() {
  cd "$srcdir/$pkgname-$pkgver"
  make install DESTDIR="$pkgdir"
}
